% change large data 48*140 to 20*20
load dxwellcrg140;
load dxwellcsg140;

ntrace=40;  % # of traces per record in csg;
nrecord=20; % # of record in csg;
crg20.fh=dxwellcrg140.fh;
csg20.fh=dxwellcsg140.fh;
crg20.fh{1}=ntrace*nrecord; %total # of traces in file;
csg20.fh{1}=ntrace*nrecord;
crg20.fh{12}=ntrace;
csg20.fh{12}=nrecord; % # of record
crg20.fh{13}=nrecord; % # of traces per record
csg20.fh{13}=ntrace;  % # of traces per record in csg

% convert trace headers and data
for rec=1:nrecord
 csg20.th{rec}=zeros(64,ntrace);
 csg20.th{rec}(:,1:ntrace)=dxwellcsg140.th{rec}(:,1:ntrace);
 csg20.th{rec}(12,1)=ntrace;
 csg20.dat{rec}(:,1:ntrace)=dxwellcsg140.dat{rec}(:,1:ntrace);
end %for

for rec=1:ntrace
 crg20.th{rec}=zeros(64,nrecord);
 crg20.th{rec}(:,1:nrecord)=dxwellcrg140.th{rec}(:,1:nrecord);
 crg20.th{rec}(12,1)=nrecord;
 crg20.dat{rec}(:,1:nrecord)=dxwellcrg140.dat{rec}(:,1:nrecord);
end %for

save crg20 crg20;
save csg20 csg20;

