function [a]= smooth(g,irsx,irsz)

% smooth the model g;
% irsx, irsz : grids in the horizontal/vertical dirctions.

[nx, nz]= size(g);
a = g;

for i=1:nx
  for j=1:nz
    m1=0;
    for l=-irsx:irsx
    for m=-irsz:irsz
     if (i+l>=1) & (i+l<=nx) & (j+m>=1) & (j+m<=nz)
       if ~(m==0 & l==0)
        if (abs(g(i+l,j+m))>0.000001)
          aaa=1./sqrt(sqrt(l*l*1.0+m*m*1.0));
          a(i,j)=a(i,j)+g(i+l,j+m)*aaa;
          m1=m1+aaa;
      end;end;end;
     end;end;
     a(i,j)=(g(i,j)+a(i,j))/(m1+1.);
  end;
end;

