function fig = zdoc()

%
% function zdoc
% display documentation file
% called by xmain.m
% By Min Zhou, 12/20/99
%

fid=fopen('doc.txt','r'); %read the whole file
if fid==-1
 errordlg('Documentation file ''doc.txt'' does not exist');
else
 i=0;
     while 1
            line = fgetl(fid);
            if ~isstr(line), break, end
            i=i+1;
            a{i}=line;
     end %while
fclose(fid);
b=str2mat(a);   %change cell arrays to matrix

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'MenuBar','none', ...
	'Name','Documentation', ...
	'NumberTitle','off', ...
	'Position',[0.4019097222222222 0.4077777777777778 0.4262152777777777 0.4744444444444444], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Max',1000, ...
	'Position',[0.0163 0.1007 0.9674 0.8876], ...
        'Horizontalalignment','left',...
        'String',b,...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','close gcf;', ...
	'FontSize',0.3819444444444445, ...
	'ListboxTop',0, ...
	'Position',[0.4460285132382892 0.02576112412177986 0.1527494908350306 0.05620608899297423], ...
	'String','OK', ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end;
end
