% no parameters have to be changed here.
function [vs2,fcoord] = faultadd(fsurfacex,faultslope,voffset,vsynth,elev,basefault)


[nz nx] = size(vsynth);
vs2 = vsynth;

if faultslope > 0
    for ix = fsurfacex:nx
        for iz = elev(ix):nz
            if (iz-elev(fsurfacex))/(ix-fsurfacex+0.00001) > faultslope
                break
            end
            vs2(iz,ix) = vsynth(iz,ix)-voffset;
        end
    end
    fcoord = [fsurfacex elev(fsurfacex);
           (nz-elev(fsurfacex))/faultslope+fsurfacex nz];
    
elseif faultslope < 0
    for iz = elev(fsurfacex):nz
        tmpx = round(fsurfacex+(iz-elev(fsurfacex))/faultslope);
        if tmpx <= 0
            break
        end
        if iz >= elev(basefault)
            tmpendx = basefault + (iz-elev(basefault))/(-faultslope);
            if tmpx >=tmpendx
            xfin = tmpx;zfin = iz;
            end
            if tmpx <= tmpendx
                tmpx = ceil(tmpendx);
            end   
        end        
        vs2(iz,tmpx:nx) = vsynth(iz,tmpx:nx)+voffset;
        
    end
    fcoord = [fsurfacex elev(fsurfacex);
              xfin zfin]
end
