function fig = fkmenu()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load fkmenu

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'MenuBar','none', ...
	'Name','F-K Filter Menu', ...
	'NumberTitle','off', ...
	'Position',[35 78 246 268], ...
	'Tag','DisplayMenu');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.3902439024390244 0.6902985074626865 0.2195121951219512 0.0708955223880597], ...
	'Style','edit', ...
	'Tag','EditRec1');
getdata=['if isempty(strmatch(get(gcbo,''String''),who,''exact''));'...
         'eval([''load '' get(gcbo,''String'') '';'']);' 'end;'...
         'set(gcbo,''userdata'',eval(get(gcbo,''String'')));'...
         'fkpoly getdataset'];
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',getdata, ...
	'ListboxTop',0, ...
	'Position',[0.3902439024390244 0.8059701492537313 0.5447154471544714 0.07089552238805968], ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',mat1, ...
	'String','Datafile', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.3902439024390244 0.5634328358208954 0.2154471544715447 0.07462686567164178], ...
	'Style','edit', ...
	'Tag','EditFreq');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.7154471544715447 0.6902985074626865 0.2154471544715447 0.0708955223880597], ...
	'Style','text', ...
	'Tag','EditRec2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.3902439024390244 0.3171641791044776 0.540650406504065 0.07462686567164178], ...
	'Style','edit', ...
	'Tag','EditPolyname');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.3902439024390244 0.4477611940298507 0.2154471544715447 0.07835820895522387], ...
	'Style','edit', ...
	'Tag','EditDx');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.03658536585365854 0.5746268656716417 0.3170731707317073 0.04477611940298507], ...
	'String','Max. Freq.', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',mat2, ...
	'String','Polygon Name (optional)', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.05691056910569105 0.6902985074626865 0.2804878048780488 0.04850746268656716], ...
	'String','Record', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.0894308943089431 0.4514925373134327 0.2154471544715447 0.04477611940298507], ...
	'String','dx', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',mat4, ...
	'String','PLOT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','fkpoly quitall', ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','QUIT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.6178861788617886 0.6902985074626865 0.07723577235772358 0.04850746268656716], ...
	'String','of', ...
	'Style','text', ...
	'Tag','StaticText2');
if nargout > 0, fig = h0; end
