function edtfile(filename)

%
%function edtfile
%Edit shot-receiver geometry file
%By Min Zhou, 10/11/99
%

fid=fopen(filename,'r');
 i=0;
 if fid~=-1
     while 1
            line = fgetl(fid);
            if ~isstr(line), break, end
            i=i+1;
            a{i}=line;
     end %while
   fclose(fid);
   b=str2mat(a);   %change cell arreys to matrix
   b0=b(1,:);      %first line, not allow to edit
   b1=b(2:i,:);    %rest of the file, can be editted
 else
  error('No such filename!');
  return;
 end;
  
h0=findobj('Name','Forward Modeling Main');
if ~isempty(h0)
  delete(findobj(h0,'Style','text'));
  delete(findobj(h0,'Style','edit'));
  delete(findobj(h0,'Style','Pushbutton'));
  delete(findobj(h0,'Type','axes'));
  figure(h0);
else
  h0 = figure('Color',[0.8 0.8 0.8], ...
	'Position',[114 344 560 420], ...
	'Tag','Fig1');
end %if

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.4166666666666667, ...
	'ListboxTop',0, ...
	'Position',[0.0500 0.8857143 0.1785714 0.0571429], ...
	'String','Now Editing:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.05646135265700483, ...
	'ListboxTop',0, ...
	'Max',10, ...
	'Position',[0.06071428571428571 0.2333333333333333 0.8803571428571427 0.5238095238095237], ...
        'String',b1,...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'FontSize',0.287940379403794, ...
	'ListboxTop',0, ...
	'Position',[0.1446429 0.1071429 0.1767857 0.0738095], ...
	'String','Save', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'FontSize',0.2951388888888889, ...
	'ListboxTop',0, ...
	'Position',[0.6446429 0.1047619 0.1678571 0.0714286], ...
	'String','Cancel', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.4292929292929293, ...
	'ListboxTop',0, ...
	'Position',[0.2428571 0.8857143 0.2000 0.0547619], ...
	'String',filename, ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.3091931216931217, ...
	'ListboxTop',0, ...
	'Position',[0.06428571428571428 0.7571428571428571 0.8714285714285714 0.07619047619047618], ...
        'String',b0,...
	'Style','text', ...
	'Tag','First line');
if nargout > 0, fig = h0; end
