function smoothok(num_smooth,No_smooth,key)

%
%function smoothok
%Show next smooth schedule window
%Called by function smooth.m
%By Min Zhou, 10/04/99
%

iter=str2num(get(findobj(gcbf,'Tag','Iterationtext'),'String'));
dx=str2num(get(findobj(gcbf,'Tag','gridtext'),'String'));
vmin=str2num(get(findobj(gcbf,'Tag','minvtext'),'String'));
vmax=str2num(get(findobj(gcbf,'Tag','maxvtext'),'String'));
v1=str2num(get(findobj(gcbf,'Tag','vtoptext'),'String'));
v2=str2num(get(findobj(gcbf,'Tag','vbottomtext'),'String'));
irsx=str2num(get(findobj(gcbf,'Tag','Irsxtext'),'String'));
irsz=str2num(get(findobj(gcbf,'Tag','Irsztext'),'String'));
nite=str2num(get(findobj(gcbf,'Tag','Nitetext'),'String'));
ndown=str2num(get(findobj(gcbf,'Tag','Ndowntext'),'String'));

file_name=['sch_',num2str(No_smooth),'.in'];
ff=fopen(file_name,'w');
fprintf(ff,'%1.0f %3.0f %4.1f\n %10.4f %10.4f\n %10.4f %10.4f\n %3.0f %3.0f\n %3.0f %3.0f\n',key,iter,dx,vmin,vmax,v1,v2,irsx,irsz,nite,ndown);
fclose(ff);

close(gcbf);  % close the former schedule window

if num_smooth > No_smooth
	smooth_new(num_smooth,No_smooth+1);
else
        ff=fopen('num_sch.in','w');
        fprintf(ff,'%1.0f\n',num_smooth);
        fclose(ff);                      
end
