function vfshow1()

%
%function vfshow
%
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%

% read in data
ff=fopen('num_sch.in','r');
line=fgets(ff);a=sscanf(line,'%f');
num_smooth=a(1);         
fclose(ff);

iii=num_smooth;
text1=['sch_',num2str(iii),'.in'];
ff=fopen(text1,'r');
line=fgets(ff);a=sscanf(line,'%f');
dx=a(3);
fclose(ff);

user=get(findobj('Name','Xwell Refraction Inversion Main'),'userdata');
u2=user.unit2;
xxmin=user.xxmin;xxmax=user.xxmax;zzmin=user.zzmin;zzmax=user.zzmax;
%xx=[xxmin:dx:xxmax];
%zz=[zzmin:dx:zzmax];

ray_name=['raypath_sch_',num2str(iii)];
vf_name=['vfinal_sch_',num2str(iii)];
eval(['load ',[ray_name,'.mat']]);
eval(['load ',[vf_name,'.mat']]);
eval(['[nnzz,nnxx]=size(',vf_name,');']);
xxmax=xxmin+(nnxx-1)*dx;
zzmax=zzmin+(nnzz-1)*dx;
xx=[xxmin:dx:xxmax];
zz=[zzmin:dx:zzmax];
figure(gcf);
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
delete(findobj(gcf,'Style','text'));
delete(findobj(gcf,'Type','axes'));
set(findobj(gcf,'type','uimenu','tag','squash'),...
    'enable','on','Callback','squash_m(gcf,4,1,211)');

hold on;
%eval(['size(',vf_name,')']);
%[zzmin zzmax dx]
eval(['subplot(2,1,1),imagesc(xx,zz,',vf_name,');']);
%eval(['subplot(2,1,1),imagesc(xx,zz,flipud(',vf_name,'));']);
title(['Velocity Profile (smoothing size #',num2str(iii),')']);
%title(['Velocity Profile']);
xlabel(['Offset ',user.unit1]);
ylabel(['Depth ',user.unit1]);
colorbar;
text(xxmax+(xxmax-xxmin)/670*100,zzmin-(zzmax-zzmin)/15,u2(2:length(u2)-1));

%eval(['subplot(2,1,2),imagesc(xx,zz,flipud(',ray_name,'));']);
%eval(['[cmax,tmp]= max(max(',ray_name,'));']);  %These two lines perform clim
%eval([ray_name,'(',ray_name,'>cmax/7)=cmax/7;'])
eval(['subplot(2,1,2),imagesc(xx,zz,',ray_name,');']);
title(['Ray Path (smoothing size #',num2str(iii),')']);
xlabel(['Offset ',user.unit1]);
ylabel(['Depth ',user.unit1]);
colorbar;
text(xxmax+(xxmax-xxmin)/670*100,zzmin-(zzmax-zzmin)/15,'Ray #');
hold off;
