function Vmodel2()

%
%function Vmodel2
%Initial model 2
%A model of the constant velocity with v=vtop, 
%vtop was set in Dynamic Schedule
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%

ff=fopen('model2.dat','r');
if ff == -1
 error('model2.dat does not exist.');
else
	fclose(ff);
user=get(gcbf,'userdata');
if isempty(user)
 unit1='(m)'; unit2='(m/sec)';
else
 unit1=user.unit1; unit2=user.unit2;
end %if


%fig4=figure('Position',[200 200 560 420]);
figure(gcf);
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
delete(findobj(gcf,'Style','text'));
delete(findobj(gcf,'Type','axes'));
[s10,w10]=unix('t4 <MODEL2.IN >tmp');
load model2.mat;
v=1./model2;
imagesc(v);
colorbar;
xlabel(['Offset ',unit1]);
ylabel(['Depth ', unit1]);
title(['Velocity Structure Model II ',unit2]);
[s10,w10]=unix('copy model2.dat slast0');
%uicontrol('Style','pushbutton','Position',[5 5 50 30],...
%          'Tag','modelok','String','OK','Callback',...
%'delete(gca);delete(findobj(gcf,''Tag'',''modelok''));');
end
