function Vmodel3()

%
%function Vmodel3
%Show inintial model 3:
%A model with constant velocity, v=vbottom  which was set in
%Dynamic Schedule
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%

ff=fopen('model3.dat','r');
if ff == -1
 error('The data file for initail model 3 does not exist.');
else
fclose(ff);
user=get(gcbf,'userdata');
if isempty(user)
 unit1='(m)'; unit2='(m/sec)';
else
 unit1=user.unit1; unit2=user.unit2;
end %if

figure(gcf);
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
delete(findobj(gcf,'Style','text'));
delete(findobj(gcf,'Type','axes'));
[s10,w10]=unix('t4 <MODEL3.IN >tmp');
load model3.mat;
v=1./model3;
imagesc(v);
colorbar;
xlabel(['Offset ',unit1]);
ylabel(['Depth ', unit1]);
title(['Velocity Structure Model III ',unit2]);
[s10,w10]=unix('copy model3.dat slast0');
%uicontrol('Style','pushbutton','Position',[5 5 50 30],...
%          'Tag','modelok','String','OK','Callback',...
%'delete(gca);delete(findobj(gcf,''Tag'',''modelok''));');
end
