function csyn_paramok_1()

%
%function csyn_paramok_1
%called by function csyn_param.m
%By Min Zhou, 10/04/99
%

%get data from edit box
a=get(findobj('Name','Forward Modeling Main'),'userdata');

a.dx=str2num(get(findobj(gcf,'Tag','dxtext'),'String'));
a.xmin=str2num(get(findobj(gcf,'Tag','xmintext'),'String'));
a.xmax=str2num(get(findobj(gcf,'Tag','xmaxtext'),'String'));
a.zmin=str2num(get(findobj(gcf,'Tag','zmintext'),'String'));
a.zmax=str2num(get(findobj(gcf,'Tag','zmaxtext'),'String'));

a.nx=round((a.xmax-a.xmin)/a.dx)+1; a.nz=round((a.zmax-a.zmin)/a.dx)+1;
set(findobj('Name','Forward Modeling Main'),'userdata',a);

%fid=fopen('refra-2d.in','w');
%fprintf(fid,'%3.0f %3.0f %4.1f\n %10.4f %10.4f\n %10.4f %10.4f\n %3.0f %3.0f\n %3.0f %%3.0f\n',key,iter,dx,vmin,vmax,v1,v2,irsx,irsz,nite,ndown);
%fprintf(fid,'**************Forward Modeling Parameters***************\n %4.0f %%4.0f\n',nx,nz);
%fidf=fopen('forw.in','w');
%fprintf(fidf,'%10.4f %10.4f\n %10.4f %10.4f\n',xmin,xmax,zmin,zmax);
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));

uicontrol('Style','pushbutton',....
          'String','Input the Name of Source-Receiver Geometry Data file: ',...
          'Units','normalized',...
          'Position',[0.0875 0.711904761904762 0.625 0.0714285714285714]);
uicontrol('Style','edit','String',a.geom_fname,...
          'Units','normalized',...
          'Position',[0.7125 0.711904761904762 0.178571428571429 0.0714285714285714],...
          'BackGroundColor','w',...
          'ForeGroundColor','r','Tag','geomtext');

uicontrol('Style','Pushbutton','String','OK',...
          'Units','normalized',...
          'Position',[ 0.310714285714286 0.473809523809524 0.0892857142857143 0.0714285714285714 ],...
          'Callback','edtfile');

syncancelstr=['delete(findobj(gcf,''style'',''pushbutton''));',...
              'delete(findobj(gcf,''style'',''edit''));'];
uicontrol('Style','Pushbutton','String','Cancel',...
          'Units','normalized',...
          'Position',[ 0.623214285714286 0.473809523809524 0.142857142857143 0.0714285714285714 ],...
          'Callback',syncancelstr);
