function hist_final()

%
%function hist_final
%Show final histogram of the residual
%09/30/99
%

user=get(findobj('Name','Xwell Refraction Inversion Main'),'userdata');
nnr=user.nnr; ns=user.ns;

ff=fopen('num_sch.in','r');
line=fgets(ff);a=sscanf(line,'%f');
num_smooth=a(1);
fclose(ff);
iii=num_smooth;

res_name=['residual_sch_',num2str(iii)];
eval(['load ',[res_name,'.mat']]);
eval(['secmax=max(max(',res_name,'));']);
eval(['secmin=min(min(',res_name,'));']);
secm=max(abs(secmax),abs(secmin));
secmin=-secm; secmax=secm;
secstep=0.01*(secmax-secmin);
rsec=[5*secmin:secstep:5*secmax];
nrsec=length(rsec);
%nnnn=max(nnr(:));

figure(gcf);
delete(findobj(gcf,'Type','axes'));
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
delete(findobj(gcf,'Style','text'));
hold on;
axis([2*secmin 2*secmax 1 ns+5]);
for i=1:ns
        nnn_fre=zeros(nrsec,1);
        nnn_fre2=zeros(nrsec,1);
        for j=1:nrsec
        eval(['aaa=size(find(',res_name,'(i,1:nnr(i))<rsec(1,j)));']);
        if aaa == [0 0]
                 nnn_fre(j,1)=0;
        else
                nnn_fre(j,1)=max(aaa);
        end
        end
        for j=1:nrsec
        if j == 1
                nnn_fre2(j,1)=nnn_fre(j,1);
        else
                nnn_fre2(j,1)=nnn_fre(j,1)-nnn_fre(j-1,1);
        end
        nnn_fre2(j,1)= nnn_fre2(j,1)+i;
        end
        plot(rsec,nnn_fre2);
end
hold off;
xlabel('Residual(Sec)');
ylabel('Shot');
title(['Histogram of the traveltime residuals (smoothing size #',num2str(iii),')']);
%histsavemenu=uimenu('Label','Save as','Callback','save_21');
%histclosemenu=uimenu('Label','Close','Callback','close(fig_21)');
