function syn_modelok(action)

%
%function syn_modelok
%Prepare data file lay?.in for Fortran code zmod?.f to 
%calculate the corresponding forward model
%Called by syn_show_v?.m
%By Min Zhou, 10/05/99
%

if ~nargin
 action=1;
end
 
% input data
h=findobj('Name','Forward Modeling Main');
a=get(h,'userdata');
a.set=0; %reset set velocity flag
set(h,'userdata',a);

if action==1
nb=round(str2num(get(findobj(gcf,'Tag','boundtext'),'string'))/a.dx)+1;
v1=str2num(get(findobj(gcf,'Tag','v1text'),'string'));
v2=str2num(get(findobj(gcf,'Tag','v2text'),'string'));
lfid1=fopen('lay2.in','w');
fprintf(lfid1,'%4.0f %4.0f %4.1f\n %10.4f %10.4f %4.0f\n',a.nx,a.nz,a.dx,v1,v2,nb);
fclose(lfid1);
[s10,w10]=unix('zmod2');

elseif action==2

nb1=round(str2num(get(findobj(gcf,'Tag','bound1text'),'string'))/a.dx)+1;
nb2=round(str2num(get(findobj(gcf,'Tag','bound2text'),'string'))/a.dx)+1;
v1=str2num(get(findobj(gcf,'Tag','vel1text'),'string'));
v2=str2num(get(findobj(gcf,'Tag','vel2text'),'string'));
v3=str2num(get(findobj(gcf,'Tag','vel3text'),'string'));
lfid2=fopen('lay3.in','w');
fprintf(lfid2,'%4.0f %4.0f %4.1f\n %10.4f %10.4f %10.4f %4.0f %4.0f\n',a.nx,a.nz,a.dx,v1,v2,v3,nb1,nb2);
fclose(lfid2);
[s10,w10]=unix('zmod3');

elseif action==3
v1=str2num(get(findobj(gcf,'Tag','vtoptext'),'string'));
v2=str2num(get(findobj(gcf,'Tag','vbottext'),'string'));
ff=fopen('layg.in','w');
fprintf(ff,'%4.0f %4.0f %4.1f\n %10.4f %10.4f\n',a.nx,a.nz,a.dx,v1,v2);
fclose(ff);
[s10,w10]=unix('zmod4');

else
unit('echo Unknown Model');
end %if

delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
syn_show;
