	program ufreal2mat
	double precision core(50000000)
	real x(10000000)
	character*80 fname1
	character*80 fname2
	character*84 fname3
	character*84 fname4
	integer*4 yy1,yy2
	character*124 header
	integer*2 version,y1,y2
	character*2 endian
c	character*1 space

	read(5,'(a)') fname1
	write(*,*) fname1
	
	do i=1,80
        if(fname1(i:i) .eq. ' ' .or. fname1(i:i) .eq. '.'
     1.or. fname1(i:i) .eq. char(0)) goto 40
        enddo
40	i=i-1
	read(5,*,err=29,end=29)
	read(5,*,err=29,end=29)
	read(5,*,err=29,end=29)
	read(5,30,err=29,end=29) fname4
30	format(A80)
	write(*,*) 'fname4:'
	write(*,*) fname4

29	continue
	do j=1,80
        if(fname4(j:j) .eq. ' ' .or. fname4(j:j) .eq. char(0)) goto 50
        enddo
50	j=j-1
	if(j .lt. 1) then
	fname3=fname1(1:i)//'.mat'
	else if(j .gt. 4 .and. fname4(j-3:j) .eq. '.mat') then
	fname3=fname4(1:j)
	else
	fname3=fname4(1:j)//'.mat'
	endif
	read(5,31,err=32,end=32) fname2
31	format(A80)
32	continue
	write(*,*) ichar(fname2(1:1))
60	continue
	do j=1,80
	if(fname2(j:j) .eq. ' ' .or. fname2(j:j) .eq. char(0)) goto 70
	enddo
70	n1=j-1
	if(n1 .lt. 1) then
	fname2=fname1(1:i)
	goto 60
	endif
	write(*,*) 'file names'
	write(*,*) fname1,fname2,fname3,fname4

	n2=0
80	continue
	if(n2 .ge. n1) goto 90
	n2=n2+8
	goto 80
90	continue
	if(n1 .lt. 5) then
	do i=n1+1,4
	fname2(i:i)=char(0)
	enddo
	else
	do i=n1+1,n2
	fname2(i:i)=char(0)
	enddo
	endif

	header="MATLAB 5.0 MAT-file, Platform: LNX"//
     1"86, Created on: Wed Oct 13 22:44:21 1999"
	irow=1
100	continue
	open(10,file=fname1,form='unformatted',status='old')
	read(10,err=110,end=110) (x(i),i=1,irow)
	irow=irow+1
	close(10)
	goto 100
110	continue
	close(10)
	irow=irow-1
	icol=0
	open(10,file=fname1,form='unformatted',status='old')
120	continue
	icol=icol+1
	i1=(icol-1)*irow
        read(10,err=130,end=130) (x(i),i=1,irow)
	do i=1,irow
	core(i+i1)=x(i)
	enddo
	goto 120
130	continue
	icol=icol-1
	close(10)

	open(10,file=fname3,access='direct',recl=8)
	close(10,status='delete')
	open(10,file=fname3,access='direct',recl=8)

c write header
	irec=0
	do i=1,15
	irec=irec+1
	write(10,rec=irec) header((i-1)*8+1:i*8)
	enddo
c write version and endian
	version=256
	endian="IM"
	irec=irec+1
        write(10,rec=irec) header(121:124),version,endian
c write datatype miMATRIX and write number of bytes
	yy1=14
	if(n1 .gt. 4) then
        yy2=6*8+n2+irow*icol*8
        else
        yy2=6*8+irow*icol*8
        endif
	irec=irec+1
        write(10,rec=irec) yy1,yy2
c write miUNIT32 and 8
	yy1=6
	yy2=8
	irec=irec+1
        write(10,rec=irec) yy1,yy2
c write mxDOUBLE_CLASS and undefined part
	yy1=6
	yy2=0
	irec=irec+1
        write(10,rec=irec) yy1,yy2
c write miINT32 and 8
	yy1=5
	yy2=8
	irec=irec+1
        write(10,rec=irec) yy1,yy2
c write icol and irow
	yy1=icol
	yy2=irow
	irec=irec+1
        write(10,rec=irec) yy1,yy2
c write miINT8, n1 and fname2
	if(n1 .gt. 4) then
	yy1=1
	yy2=n1
	irec=irec+1
        write(10,rec=irec) yy1,yy2
	kk=0
	do i=1,n2/8
	irec=irec+1
	write(10,rec=irec) fname2((i-1)*8+1:i*8)
	enddo
	else
	y1=n1
	y2=1
	irec=irec+1
	write(10,rec=irec) y2,y1,fname2(1:n1)
	endif
c write miDOUBLE and data number of bytes
	yy1=9
	yy2=irow*icol*8
	irec=irec+1
        write(10,rec=irec) yy1,yy2
	do i=1,irow
	do j=1,icol
	irec=irec+1
	i1=(j-1)*irow+i
	write(10,rec=irec) core(i1)
	enddo
	enddo
	close(10)

	write(6,*) 'done creating mat-file'
	stop
	end
