function pick1compplot()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load pick1compplot

a = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Pick First Breaks', ...
	'NumberTitle','off', ...
	'Position',[0.102431 0.0788889 0.875 0.84], ...
	'Tag','pick1fig');
b = axes('Parent',a, ...
	'FontUnits','normalized', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'FontSize',0.019578, ...
	'NextPlot','replacechildren', ...
	'Position',[0.0574257 0.100662 0.771287 0.797351], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[0.499356 -0.0332779 0], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(c,'Parent'),'XLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.030888 0.497504 0], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(c,'Parent'),'YLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.0746461 1.12646 0], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(c,'Parent'),'ZLabel',c);
c = text('Parent',b, ...
	'Color',[0 0 0], ...
	'HandleVisibility','callback', ...
	'HorizontalAlignment','center', ...
	'Position',[0.499356 1.00832 0], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(c,'Parent'),'Title',c);
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Callback','pick1comp quit', ...
	'Position',[0.894841 0.0952381 0.0753968 0.0383598], ...
	'String','QUIT', ...
	'Tag','Pushbutton1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','pick1comp menu', ...
	'Position',[0.894841 0.15546 0.0753968 0.0396825], ...
	'String','MENU', ...
	'Tag','Pushbutton2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.890873 0.574423 0.0753968 0.0410053], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','PopTune', ...
	'Value',1);
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','pick1comp kill', ...
	'Position',[0.893849 0.37037 0.0753968 0.0410053], ...
	'String','KILL', ...
	'Tag','Pushbutton3');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Callback','pick1comp tune', ...
	'Position',[0.892857 0.522487 0.0753968 0.0410053], ...
	'String','TUNE', ...
	'Tag','Pushbutton4');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[0.847222 0.617725 0.093254 0.0238095], ...
	'String','Tune Options', ...
	'Style','text', ...
	'Tag','StaticText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Callback','pick1comp pick', ...
	'Position',[0.893849 0.462963 0.0753968 0.0396825], ...
	'String','PICK', ...
	'Tag','Pushbutton5');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','pick1comp clear', ...
	'Position',[0.893849 0.417622 0.0753968 0.0396825], ...
	'String','CLEAR', ...
	'Tag','Pushbutton6');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','pick1comp scale', ...
	'Position',[0.936508 0.656085 0.0337302 0.0410053], ...
	'Style','edit', ...
	'Tag','EditText1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[0.847222 0.662698 0.0873016 0.0277778], ...
	'String','Scale Factor', ...
	'Style','text', ...
	'Tag','StaticText2');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'Callback','pick1comp full', ...
	'Position',[0.894841 0.217005 0.0753968 0.0396825], ...
	'String','FULL', ...
	'Tag','Pushbutton7');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Callback','pick1comp zoom', ...
	'Position',[0.893849 0.308201 0.0753968 0.0410053], ...
	'String','ZOOM', ...
	'Tag','Pushbutton8');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701961 0.701961 0.701961], ...
	'Callback','pick1comp zoomall', ...
	'Position',[0.893849 0.262934 0.0753968 0.0396825], ...
	'String','ZOOM OFF', ...
	'Tag','Pushbutton8');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','pick1comp slider;', ...
	'FontSize',0.337302, ...
	'Position',[0.551485 0.00529801 0.276238 0.0331126], ...
	'Style','slider', ...
	'Tag','Slider1');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Position',[0.612103 0.0383598 0.142857 0.0330688], ...
	'String','Zoom Slider', ...
	'Style','text', ...
	'Tag','StaticText3');
b = uicontrol('Parent',a, ...
	'Units','normalized', ...
	'BackgroundColor',[0.95 0 0], ...
	'Callback','pick1comp flat', ...
	'Position',[0.894841 0.720899 0.0694444 0.0410053], ...
	'String','FLAT', ...
	'Tag','Pushbutton9');
