function fig = dispph()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load dispph

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'MenuBar','none', ...
	'Name','Plot headers Menu', ...
	'NumberTitle','off', ...
	'Position',[35 98 244 257], ...
	'Tag','PlothdMenu');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rec1=str2num(get(gcbo,''String''));', ...
	'FontSize',0.407088, ...
	'ListboxTop',0, ...
	'Position',[0.143443 0.2607 0.27459 0.0856031], ...
	'Style','edit', ...
	'Tag','EditRec1');
getdata=['if isempty(strmatch(get(gcbo,''String''),who,''exact''));'...
         'eval([''load '' get(gcbo,''String'') '';'']);' 'end;'...
         'set(gcbo,''userdata'',eval(get(gcbo,''String'')));'...
         'plothd getdataset'];
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',getdata, ...
	'FontSize',0.393519, ...
	'ListboxTop',0, ...
	'Position',[0.282787 0.680934 0.430328 0.0933852], ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.368852 0.77821 0.254098 0.0817121], ...
	'String','Datafile', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','rec2=str2num(get(gcbo,''String''));', ...
	'FontSize',0.407088, ...
	'ListboxTop',0, ...
	'Position',[0.581967 0.2607 0.278689 0.0856031], ...
	'Style','edit', ...
	'Tag','EditRec2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.1639344262295082 0.443579766536965 0.6434426229508197 0.0622568093385214], ...
	'String','From Record', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd next', ...
	'ListboxTop',0, ...
	'Position',[0.17623 0.0661479 0.241803 0.101167], ...
	'String','NEXT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd quitall', ...
	'ListboxTop',0, ...
	'Position',[0.581967 0.0661479 0.241803 0.101167], ...
	'String','QUIT', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.463115 0.241245 0.0696721 0.0856031], ...
	'String','To', ...
	'Style','text', ...
	'Tag','StaticText2');
if nargout > 0, fig = h0; end
