function fig = displayl()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load displayl

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Display', ...
	'NumberTitle','off', ...
	'Pointer','fullcrosshair', ...
	'Position',[0.0234375 0.05 0.6762152777777778 0.73], ...
	'Tag','Fig1', ...
	'UserData',mat1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis ''next''', ...
	'ListboxTop',0, ...
	'Position',[0.799073 0.190926 0.0911901 0.0604915], ...
	'String','==>', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis zoom', ...
	'ListboxTop',0, ...
	'Position',[0.799073 0.274102 0.0911901 0.0604915], ...
	'String','ZOOM', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis full', ...
	'ListboxTop',0, ...
	'Position',[0.902628 0.275992 0.0911901 0.0604915], ...
	'String','FULL', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis previous', ...
	'ListboxTop',0, ...
	'Position',[0.902628 0.192817 0.0911901 0.0604915], ...
	'String','<==', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis polarity', ...
	'ListboxTop',0, ...
	'Position',[0.902628 0.109641 0.0911901 0.0604915], ...
	'String','POLARITY', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','dispseis quit', ...
	'ListboxTop',0, ...
	'Position',[0.902628 0.0283554 0.0896445 0.0586011], ...
	'String','QUIT', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.801536 0.8978660000000001 0.18822 0.0609756], ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.8006180000000001 0.413989 0.119011 0.0491493], ...
	'String','Scale Factor', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','dispseis scale', ...
	'ListboxTop',0, ...
	'Position',[0.932099 0.422642 0.0524691 0.0528302], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','EditScfact');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','dispseis skip', ...
	'ListboxTop',0, ...
	'Position',[0.932099 0.34717 0.0524691 0.0566038], ...
	'Style','edit', ...
	'Tag','EditText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.8006180000000001 0.336484 0.119011 0.0510397], ...
	'String','Skip to Rec#', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'Position',[0.0807692 0.0882801 0.691026 0.858447], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4981412639405204 -0.03558718861209975 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.0446096654275093 0.498220640569395 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.1171003717472119 1.060498220640569 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4981412639405204 1.008896797153025 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis menu', ...
	'ListboxTop',0, ...
	'Position',[0.799073 0.10775 0.0896445 0.0604915], ...
	'String','MENU', ...
	'Tag','PushMenu');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','dispseis displayoption', ...
	'ListboxTop',0, ...
	'Max',4, ...
	'Min',1, ...
	'Position',[0.8006180000000001 0.606805 0.149923 0.0604915], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.799073 0.6862 0.18238 0.0510397], ...
	'String','Trace display options', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','brighten(-0.2);', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[0.799073 0.517958 0.0896445 0.0586011], ...
	'String','darker', ...
	'Tag','Pushdark');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','brighten(0.2);', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[0.902628 0.517958 0.0896445 0.0586011], ...
	'String','brighter', ...
	'Tag','Pushbright');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7 0.9 0.9], ...
	'ListboxTop',0, ...
	'Position',[0.562259 0.00761035 0.252888 0.0410959], ...
	'Style','text', ...
	'Tag','crosshairbox');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[0.01668806161745828 0.9634703196347032 0.2169448010269576 0.030441400304414], ...
	'String','datasetname', ...
	'Style','text', ...
	'Tag','TitleText');
if nargout > 0, fig = h0; end
