function fig = dispmenu()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load dispmenu

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'MenuBar','none', ...
	'Name','Display Menu', ...
	'NumberTitle','off', ...
	'Position',[34 53 265 297], ...
	'Tag','DisplayMenu');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.362264 0.739654 0.2 0.0637583], ...
	'Style','edit', ...
	'Tag','EditRec1');
getdata=['if isempty(strmatch(get(gcbo,''String''),who,''exact''));'...
         'eval([''load '' get(gcbo,''String'') '';'']);' 'end;'...
         'set(gcbo,''userdata'',eval(get(gcbo,''String'')));'...
         'dispseis getdataset'];
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback',getdata, ...
	'ListboxTop',0, ...
	'Position',[0.362264 0.843028 0.501888 0.0671142], ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.06415094339622641 0.845117845117845 0.1773584905660377 0.0404040404040404], ...
	'String','Datafile', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.362264 0.632924 0.196227 0.0671142], ...
	'Style','edit', ...
	'Tag','EditTr1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.664149 0.632924 0.2 0.0671142], ...
	'Style','edit', ...
	'Tag','EditTr2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.664149 0.739654 0.2 0.0637583], ...
	'Style','edit', ...
	'Tag','EditRec2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.362264 0.422817 0.196227 0.0637583], ...
	'Style','edit', ...
	'Tag','EditDir');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.664149 0.526195 0.2 0.0671142], ...
	'Style','edit', ...
	'Tag','EditT2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.362264 0.526195 0.196227 0.0671142], ...
	'Style','edit', ...
	'Tag','EditT1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.06792452830188679 0.6363636363636364 0.2226415094339623 0.0404040404040404], ...
	'String','From Trace', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.06792452830188679 0.4242424242424242 0.1962264150943396 0.04377104377104377], ...
	'String','Direction', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.0679247 0.739654 0.256604 0.0436243], ...
	'String','From Record', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.07547169811320754 0.531986531986532 0.2 0.0404040404040404], ...
	'String','From Time', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','dispseis plot', ...
	'ListboxTop',0, ...
	'Position',[0.3471698113207547 0.03703703703703703 0.2 0.07407407407407407], ...
	'String','PLOT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','dispseis quitall', ...
	'ListboxTop',0, ...
	'Position',[0.6377358490566037 0.03703703703703703 0.2037735849056604 0.07407407407407407], ...
	'String','QUIT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.5735849056603773 0.7407407407407407 0.06792452830188679 0.04377104377104377], ...
	'String','to', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.569811320754717 0.632996632996633 0.07924528301886792 0.0404040404040404], ...
	'String','to', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.5735849056603773 0.5286195286195285 0.07169811320754717 0.0404040404040404], ...
	'String','to', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.0415094 0.308725 0.154717 0.0402684], ...
	'String','Scaling', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',mat1, ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[0.754718 0.298658 0.196227 0.0637583], ...
	'String','0.2', ...
	'Style','edit', ...
	'Tag','EditWind');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.539622641509434 0.2996632996632996 0.1886792452830189 0.04713804713804714], ...
	'String','Window', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'ListboxTop',0, ...
	'Max',2, ...
	'Min',1, ...
	'Position',mat3, ...
	'String',mat4, ...
	'Style','popupmenu', ...
	'Tag','PopMaxAve', ...
	'Value',1);
if nargout > 0, fig = h0; end
