function fig = fkfig3()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load fkfig3

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Pick fk-polygon', ...
	'NumberTitle','off', ...
	'Position',[0.02951388888888889 0.03 0.7178819444444444 0.8577777777777778], ...
	'Tag','Fig1', ...
	'WindowButtonDownFcn','zoom down', ...
	'WindowButtonUpFcn','ones;');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','zoom on', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.4404145077720207 0.09310761789600967 0.05051813471502591], ...
	'String','Zoom', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','zoom out;zoom off;', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.383419689119171 0.09068923821039904 0.05181347150259068], ...
	'String','Full', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','fkpoly pick;', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.2953367875647668 0.09310761789600967 0.04792746113989637], ...
	'String','Pick', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','fkpoly clear;', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.2409326424870466 0.09310761789600967 0.04792746113989637], ...
	'String','Clear', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','fkpoly menu', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.1410657743235464 0.09673518742442565 0.05051813471502591], ...
	'String','Menu', ...
	'Tag','Pushbutton5');
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Position',[0.07702349999999999 0.0850746 0.719321 0.840299], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4983164983164983 -0.03086419753086411 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.0404040404040404 0.4984567901234568 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat2, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4983164983164983 1.007716049382716 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','fkpoly reject', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.5336787564766838 0.09068923821039904 0.05181347150259068], ...
	'String','Reject', ...
	'Style','radiobutton', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','fkpoly pass', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.5931383131836498 0.09310761789600967 0.05051813471502591], ...
	'String','Pass', ...
	'Style','radiobutton', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','fkpoly quit', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.08290155440414508 0.09673518742442565 0.05051813471502591], ...
	'String','Quit', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','fkpoly unfiltered', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.6513025331030511 0.09310761789600967 0.05051813471502591], ...
	'String','Unfiltered', ...
	'Style','radiobutton', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','fkpoly FK', ...
	'ListboxTop',0, ...
	'Position',[0.8548972188633618 0.7094667530224524 0.09310761789600967 0.05051813471502591], ...
	'String','FK ', ...
	'Style','radiobutton', ...
	'Tag','Pushbutton1', ...
	'Value',1);
if nargout > 0, fig = h0; end
