function plothist(hist)

%
%function plothist
%Show histogram of the residual
%hist:  data matrix 
%09/30/99
%

fid=fopen('coord.temp','r');
if fid~=-1
line=fgets(fid);line=fgets(fid);
a=sscanf(line,'%f');
nnr=a(3);
fclose(fid);

secmax=max(max(hist));
secmin=min(min(hist));
secstep=0.01*(secmax-secmin);
rsec=[2*secmin:secstep:2*secmax];
nrsec=length(rsec);
%nnnn=max(nnr(:));
[ns,nr]=size(hist);
nnnn=max(nnr(:));

figure;
hold on;
axis([2*secmin 2*secmax 1 ns+5]);
for i=1:ns
        nnn_fre=zeros(nrsec,1);
        nnn_fre2=zeros(nrsec,1);
        for j=1:nrsec
        aaa=size(find(hist(i,1:nnr)<rsec(1,j)));
        if aaa == [0 0]
                 nnn_fre(j,1)=0;
        else
                nnn_fre(j,1)=max(aaa);
        end
        end
        for j=1:nrsec
        if j == 1
                nnn_fre2(j,1)=nnn_fre(j,1);
        else
                nnn_fre2(j,1)=nnn_fre(j,1)-nnn_fre(j-1,1);
        end
        nnn_fre2(j,1)= nnn_fre2(j,1)+i;
        end
        plot(rsec,nnn_fre2);
end
hold off;
xlabel('Residual(Sec)');
ylabel('Shot');
title(['Histogram of the traveltime residuals']);

else

error('coord.temp does not exist!');
end %if
