function Vmodel1()

%
%function Vmodel1
%Initial model 1
%A Model with constant velocity gradient, g=(vbottom-vtop)/depth
%vtop and vbottom were set in Dynamic Schedule
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%

ff=fopen('model1.dat','r');
if ff == -1
 error('model1.dat does not exist.');
else
fclose(ff);
user=get(gcbf,'userdata');
if isempty(user)
 unit1='(m)'; unit2='(m/sec)';
else
 unit1=user.unit1; unit2=user.unit2;
end %if

figure(gcf);
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
delete(findobj(gcf,'Style','text'));
delete(findobj(gcf,'Type','axes'));
[s10,w10]=unix('t4 <MODEL1.IN >tmp');
load model1.mat;
v=1./model1;
imagesc(v);
colorbar;
xlabel(['Offset ',unit1]);
ylabel(['Depth ', unit1]);
title(['Velocity Structure Model I ',unit2]);
[s10,w10]=unix('copy model1.dat slast0');
%uicontrol('Style','pushbutton','Position',[5 5 50 30],...
%          'Tag','modelok','String','OK','Callback',...
%'delete(gca);delete(findobj(gcf,''Tag'',''modelok''));');
end
