function showsch()

%
%function showsch
%Show dynamic schedule
%Modified by Min Zhou, 10/03/99
%

ff=fopen('num_sch.in','r');
if ff ~= -1
 line=fgets(ff);a=sscanf(line,'%f');
 num_smooth=a(1);
 fclose(ff);

 figure(gcf);
 delete(findobj(gcf,'Style','pushbutton'));
 delete(findobj(gcf,'Style','text'));
 delete(findobj(gcf,'Style','edit'));
 delete(findobj(gcf,'Type','axes'));
 uicontrol('Style','Pushbutton',...
           'String','Dynamic Smoothing  Schedule',...
           'Units','normalized',...
           'Position',[0.319642857142857 0.902380952380953 0.357142857142857 0.0714285714285714],...
           'Tag','para');

 for ii0=1:num_smooth

  file_name=['sch_',num2str(ii0),'.in']; %read in data
  ff=fopen(file_name,'r');
  line=fgets(ff);a=sscanf(line,'%f');
  key_1=round(a(1));iter_1=round(a(2));dx_1=a(3);
  line=fgets(ff);a=sscanf(line,'%f');
  vmin_1=a(1);vmax_1=a(2);
  line=fgets(ff);a=sscanf(line,'%f');
  v1_1=a(1);v2_1=a(2);
  line=fgets(ff);a=sscanf(line,'%f');
  irsx_1=round(a(1));irsz_1=round(a(2));
  line=fgets(ff);a=sscanf(line,'%f');
  nite_1=round(a(1));ndown_1=round(a(2));
  fclose(ff);
                                               
  t=num2str(ii0);
  ttt=['Smoothing Size # ',t,':  Irsx',t,'=',num2str(irsx_1),...
       '   Irsz',t,'=',num2str(irsz_1),'   Dx',t,'=',num2str(dx_1),...
       '   Iter',t,'=',num2str(iter_1)];

  uicontrol('Style','Pushbutton','String',ttt,...
           'Units','normalized',...
           'Position',[0.141071428571429 0.75952380952381-(ii0-1)/14 0.714285714285714 0.0714285714285714],...
           'Tag','para1');

  if num_smooth == ii0
   strcall=['delete(findobj(gcf,''Tag'',''para''));',...
            'delete(findobj(gcf,''Tag'',''para1''));',...
            'delete(findobj(gcf,''Tag'',''paramclose''));'];
   uicontrol('Style','Pushbutton','String','Close',...
             'Units','normalized',...
             'Position',[0.408928571428571 0.569047619047619-(ii0-1)/14 0.142857142857143 0.0714285714285714],...
             'Tag','paramclose',...
             'Callback',strcall);
  end %if 
 end %for
end  % if
	
