function su2dsi()

% Read seismic data in SU format and convert to DSI format (Matlab .mat). 
% Input file containing the names of SU format data files
% Ouput DSI format data file
% Data are keep in 'dataout' 
% input the data file name and path
% By Min Zhou 08/23/99

[fn_su, path4su]=uigetfile('*',...
          'Open file containing SU data filenames',100,100);
fnopen=[path4su fn_su];
[dataout]=su2mat(fnopen,'crosswire.crs','b');
[sf_dsi,path4dsi]=uiputfile('*.mat','Save DSI data file',100,100);
fnsave=[path4dsi sf_dsi]
eval([sf_dsi '=dataout;']);
save(fnsave,sf_dsi);
clear dataout;
