function fig = xmain()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load xmain

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','off', ...
	'IntegerHandle','off', ...
	'MenuBar','none', ...
	'Name','Crosswell main Window', ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[0.2994791666666666 0.2466666666666667 0.6163194444444444 0.6077777777777778], ...
	'Tag','demo', ...
	'UserData',mat1);
h1 = axes('Parent',h0, ...
	'AmbientLightColor',[1 0.635609751017569 0.389634136272919], ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'Layer','top', ...
	'Position',mat3, ...
	'Tag','Axes2', ...
	'Visible','off', ...
	'XColor',[0 0 0], ...
	'XLim',[0.5 560.5], ...
	'XLimMode','manual', ...
	'YColor',[0 0 0], ...
	'YDir','reverse', ...
	'YLim',[0.5 155.5], ...
	'YLimMode','manual', ...
	'ZColor',[0 0 0]);
h2 = image('Parent',h1, ...
	'CData',mat4, ...
	'Tag','banner', ...
	'XData',[1 560], ...
	'YData',[1 155]);
h2 = text('Parent',h1, ...
	'FontUnits','normalized', ...
	'Color',[0 0 0], ...
	'FontSize',0.17575, ...
	'HorizontalAlignment','center', ...
	'Position',[310 95 0], ...
	'String','For Crosswell GUI', ...
	'Tag','Axes1Text5');
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[280.8949224259521 158.6 9.160254037844386], ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','bottom', ...
	'Visible','off');
set(get(h2,'Parent'),'Title',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[280.8949224259521 -4.150000000000006 9.160254037844386], ...
	'Tag','Axes2Text3', ...
	'VerticalAlignment','cap', ...
	'Visible','off');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[565.2390691114246 77.22499999999999 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes2Text2', ...
	'VerticalAlignment','baseline', ...
	'Visible','off');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'Position',[562.0796897038082 153.95 9.160254037844386], ...
	'Tag','Axes2Text1', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback',mat5, ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Max',4, ...
	'Min',1, ...
	'Position',[0.05627009646302251 0.5209205020920502 0.247588424437299 0.09414225941422594], ...
	'String',['Load Dataset';'Segy to DSI ';'SU to DSI   ';'Segy to SU  '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','QCfit', ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Min',1, ...
	'Position',[0.3713826366559486 0.3284518828451883 0.247588424437299 0.09414225941422594], ...
	'String','QC Data', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','syn_main', ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Min',1, ...
	'Position',[0.05787781350482315 0.1192468619246862 0.247588424437299 0.09623430962343095], ...
	'String','Forward Modeling', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','p=get(gcbo,''value'');if p==2,dispseis;elseif p==3,plothd;else,end;clear p;', ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.3707664884135472 0.519047619047619 0.2477718360071301 0.09523809523809523], ...
	'String',['Display Data';'Data        ';'Headers     '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','main_Inverse(get(gcbo,''value''));', ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.6880570409982174 0.3309523809523809 0.2477718360071301 0.09523809523809523], ...
	'String',['Invert Data    ';'Units in meters';'Units in feet  '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback',mat6, ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Max',4, ...
	'Min',1, ...
	'Position',[0.6864951768488746 0.5188284518828451 0.2491961414790997 0.09414225941422594], ...
	'String',['Preprocess    ';'Spectral      ';'Filtering     ';'Dip(fk) Filter'], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback',mat7, ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.05466237942122187 0.3284518828451883 0.247588424437299 0.09414225941422594], ...
	'String',['Pick Data    ';'CSG<==>CRG   ';'Edit Picking '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback','clear all;close all;close(gcbf)', ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Min',1, ...
	'Position',[0.6934046345811051 0.1238095238095238 0.2477718360071301 0.09523809523809523], ...
	'String','Quit GUI', ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'Callback',mat8, ...
	'FontSize',0.2597222222222222, ...
	'ListboxTop',0, ...
	'Max',2, ...
	'Min',1, ...
	'Position',[0.375 0.1166666666666667 0.2482142857142857 0.09761904761904763], ...
	'String',['Documentation ';' Flowchart    '], ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
if nargout > 0, fig = h0; end
