function fig = pickplot()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load pickplot

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Pick First Breaks', ...
	'NumberTitle','off', ...
	'Position',[0.08072916666666666 0.05 0.875 0.84], ...
	'Tag','pickfig');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.853175 0.65873 0.141865 0.267196], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'FontSize',8, ...
	'NextPlot','replacechildren', ...
	'Position',[0.0582278 0.1003 0.240506 0.798799], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4958677685950413 -0.0298507462686568 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.08677685950413222 0.4975124378109453 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.243801652892562 1.124378109452736 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat2, ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat3, ...
	'FontSize',8, ...
	'NextPlot','replacechildren', ...
	'Position',[0.327723 0.09801319999999999 0.240594 0.8], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4979253112033195 -0.02985074626865658 9.160254037844386], ...
	'Tag','Axes2Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.08713692946058083 0.4975124378109453 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes2Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat4, ...
	'Tag','Axes2Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4979253112033195 1.006633499170813 9.160254037844386], ...
	'Tag','Axes2Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat5, ...
	'FontSize',8, ...
	'NextPlot','replacechildren', ...
	'Position',[0.598509 0.0990991 0.24 0.8], ...
	'Tag','Axes3', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4979253112033195 -0.0298013245033113 9.160254037844386], ...
	'Tag','Axes3Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.08713692946058105 0.4983443708609271 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes3Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat6, ...
	'Tag','Axes3Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',mat7, ...
	'Tag','Axes3Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb quit', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.0608466 0.0753968 0.0383598], ...
	'String','QUIT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','pickfb menu', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.121693 0.0753968 0.0410053], ...
	'String','MENU', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb option', ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.901786 0.534502 0.0753968 0.0410053], ...
	'String',mat8, ...
	'Style','popupmenu', ...
	'Tag','PopTune', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','pickfb kill', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.335979 0.0753968 0.0396825], ...
	'String','KILL', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb tune', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.486772 0.0753968 0.0383598], ...
	'String','TUNE', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.857143 0.5780419999999999 0.093254 0.0291005], ...
	'String','Tune Options', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb pick', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.42328 0.0753968 0.0396825], ...
	'String','PICK', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','pickfb clear', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.378307 0.0753968 0.0396825], ...
	'String','CLEAR', ...
	'Tag','Pushbutton6');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','pickfb scale', ...
	'ListboxTop',0, ...
	'Position',[0.956349 0.608466 0.0337302 0.0410053], ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.857143 0.612434 0.08730159999999999 0.031746], ...
	'String','Scale Factor', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','pickfb full', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.185185 0.0753968 0.0410053], ...
	'String','FULL', ...
	'Tag','Pushbutton7');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb zoom', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.272487 0.0753968 0.0396825], ...
	'String','ZOOM', ...
	'Tag','Pushbutton8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb zoomall', ...
	'ListboxTop',0, ...
	'Position',[0.901786 0.228836 0.0753968 0.0396825], ...
	'String','ZOOM ALL', ...
	'Tag','Pushbutton8');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.95 0 0], ...
	'Callback','pickfb flat', ...
	'ListboxTop',0, ...
	'Position',[0.900794 0.940476 0.0763889 0.0410053], ...
	'String','FLAT', ...
	'Tag','Pushbutton9');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.7619050000000001 0.0330688 0.142857 0.0330688], ...
	'String','Zoom Slider', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb slider;', ...
	'Enable','off', ...
	'FontSize',0.337302, ...
	'ListboxTop',0, ...
	'Position',[0.705941 0.00264901 0.276238 0.0331126], ...
	'Style','slider', ...
	'Tag','Slider1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.4 0.9 0.6], ...
	'Callback','pickfb rotate', ...
	'ListboxTop',0, ...
	'Position',[0.87004 0.715608 0.078373 0.0410053], ...
	'String','ROTATE', ...
	'Tag','PushbuttonR');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb radiobutton', ...
	'ListboxTop',0, ...
	'Position',[0.919643 0.847884 0.0595238 0.0410053], ...
	'String','1', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb radiobutton', ...
	'ListboxTop',0, ...
	'Position',[0.919643 0.804233 0.0595238 0.0410053], ...
	'String','2', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','pickfb radiobutton', ...
	'ListboxTop',0, ...
	'Position',[0.919643 0.759259 0.0595238 0.0410053], ...
	'String','3', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.857143 0.888889 0.134921 0.026455], ...
	'String','Rotate Components:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.4 0.9 0.6], ...
	'Callback','pickfb plot', ...
	'ListboxTop',0, ...
	'Position',[0.87004 0.670635 0.078373 0.0410053], ...
	'String','UNDO', ...
	'Tag','PushbuttonU');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[0.368056 0.95635 0.165675 0.0357143], ...
	'Style','text', ...
	'Tag','Supertitle');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[629.364705882353 609.035294117647 86.40000000000001 16.94117647058824], ...
	'Style','text', ...
	'Tag','StaticStatus');
if nargout > 0, fig = h0; end
