function fig = plothead()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

load plothead

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'Name','Plot_headers', ...
	'NumberTitle','off', ...
	'Position',[0.08680555555555555 0.07888888888888888 0.9010416666666666 0.8388888888888889], ...
	'Tag','Fig11');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.057041, ...
	'ListboxTop',4, ...
	'Position',[0.0588235 0.0119522 0.206365 0.289509], ...
	'String',mat1, ...
	'Style','listbox', ...
	'Tag','Listbox1', ...
	'Value',4);
h1 = axes('Parent',h0, ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat2, ...
	'Position',[0.07035760000000001 0.441224 0.626298 0.507246], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'FontSize',0.0456621, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4992295839753467 -0.05235602094240854 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.03697996918335901 0.4973821989528795 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat3, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4992295839753467 1.013089005235602 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Enable','off', ...
	'FontSize',0.0567376, ...
	'Position',[0.495661 0.0119522 0.207329 0.289509], ...
	'String',mat4, ...
	'Style','listbox', ...
	'Tag','Listbox3', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.057041, ...
	'Position',[0.27676 0.0119522 0.207329 0.289509], ...
	'String',mat5, ...
	'Style','listbox', ...
	'Tag','Listbox2', ...
	'Value',9);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd zoom', ...
	'ListboxTop',0, ...
	'Position',[0.7454190000000001 0.770252 0.0954677 0.0557769], ...
	'String','ZOOM', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd ff', ...
	'ListboxTop',0, ...
	'Position',[0.7454190000000001 0.6892430000000001 0.0954677 0.0571049], ...
	'String','==>', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','plothd full', ...
	'ListboxTop',0, ...
	'Position',[0.869817 0.770252 0.0954677 0.0557769], ...
	'String','FULL', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'Callback','plothd rev', ...
	'ListboxTop',0, ...
	'Position',[0.869817 0.6892430000000001 0.0954677 0.0571049], ...
	'String','<==', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0 0.9 0.6], ...
	'Callback','plothd plot', ...
	'ListboxTop',0, ...
	'Position',[0.802314 0.136424 0.0954677 0.0556291], ...
	'String','PLOT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd quit', ...
	'ListboxTop',0, ...
	'Position',[0.868852 0.0464807 0.096432 0.0571049], ...
	'String','QUIT', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'ListboxTop',0, ...
	'Max',5, ...
	'Min',1, ...
	'Position',[0.742527 0.52988 0.0983607 0.0424967], ...
	'String',mat6, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu2', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Min',1, ...
	'Position',[0.866924 0.52988 0.0983607 0.0424967], ...
	'String',mat7, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu3', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd plot2d', ...
	'ListboxTop',0, ...
	'Max',2, ...
	'Min',1, ...
	'Position',[0.803279 0.600266 0.096432 0.0557769], ...
	'String',mat8, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu1', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd hold', ...
	'ListboxTop',0, ...
	'Position',[0.744455 0.222517 0.0954677 0.0569536], ...
	'String','hold on', ...
	'Style','checkbox', ...
	'Tag','Checkbox1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.0810029 0.307285 0.12054 0.0317881], ...
	'String','Header 1 (x)', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.303761 0.307285 0.122469 0.0317881], ...
	'String','Header 2 (y)', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.521697 0.308609 0.119576 0.0331126], ...
	'String','Header 3 (z)', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd grid', ...
	'ListboxTop',0, ...
	'Position',[0.744455 0.298013 0.0954677 0.0556291], ...
	'String','grid on', ...
	'Style','checkbox', ...
	'Tag','Checkbox2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.355556, ...
	'ListboxTop',0, ...
	'Position',[0.723097 0.905967 0.237533 0.0325497], ...
	'String','Now showing record number:', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'ListboxTop',0, ...
	'Max',9, ...
	'Min',1, ...
	'Position',[0.766404 0.424955 0.0498688 0.0325497], ...
	'String',mat9, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu4', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'ListboxTop',0, ...
	'Max',3, ...
	'Min',1, ...
	'Position',[0.83028 0.422517 0.051109 0.0331126], ...
	'String',mat10, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu5', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'ListboxTop',0, ...
	'Max',14, ...
	'Min',1, ...
	'Position',[0.895853 0.423841 0.0501446 0.0331126], ...
	'String',mat11, ...
	'Style','popupmenu', ...
	'Tag','PopupMenu6', ...
	'Value',3);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd reverse', ...
	'ListboxTop',0, ...
	'Position',[0.867888 0.300662 0.096432 0.0556291], ...
	'String','reverse Y-ZDir', ...
	'Style','checkbox', ...
	'Tag','Checkbox3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd rot3d', ...
	'ListboxTop',0, ...
	'Position',[0.867888 0.223841 0.096432 0.0582781], ...
	'String','rotate3d', ...
	'Style','checkbox', ...
	'Tag','Checkbox4');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.7019609999999999 0.7019609999999999 0.7019609999999999], ...
	'Callback','plothd menu', ...
	'ListboxTop',0, ...
	'Position',[0.7415620000000001 0.0463576 0.0954677 0.0569536], ...
	'String','MENU', ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end
