function [p]=afit(theta,theta0,e,b)

%
%function afit(theta,theta0,e,b)
%calculate the radial length for ellipse with parameters e,b and theta0.
%e:        flatness      , 
%bi:       the half length of the short axis, 
%theta0:   the angle between x axis and long axis of ellipse
%

p=b./sqrt(1-e^2.*cos(theta-theta0).^2);
